#ifndef SHIP_INCLUDED
 #define SHIP_INCLUDED

#include "gamemanager.h"

class CollidableObject : public GameObject {
	protected:
		
	public:
		CollidableObject() {
			collidable = true;
		}
		
};

class Ship : public CollidableObject {
		private:
			Component azimuth;
			bool engineOn;
			bool tractorOn;
			void applyTractorBeam();
			Vect3d tractorTarget;
			float tractorOffset;
			void createExhaustParticles();
		public:
			Ship();
			virtual void renderBackground();
			virtual void render();
			virtual void tick();
			virtual void collided(GameObject * what);
			virtual ~Ship() { };
};

void ApplyFriction(Vect3d & velocity, double amount);


#endif // SHIP_INCLUDED

